﻿using IdentityServer.Wrapper.Models;
using IdentityServer.Wrapper.Services;
using Microsoft.Extensions.DependencyInjection;

namespace IdentityServer.Wrapper
{
    public static class DependencyInjectionExtension
    {
        public static void UseIdentityService(this IServiceCollection services, string baseAddress)
        {
            services.AddSingleton(new ServiceConfiguration(baseAddress));
            services.AddHttpClient<IIdentityService, IdentityService>();
        }
    }
}
